# $Revision: 1.40 $, $Date: 2006/11/28 23:17:04 $
Summary:	Simple image viewer for KDE
Summary(pl):	Prosta przegldarka obrazkw dla KDE
Name:		gwenview
Version:	1.4.1
Release:	2
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/gwenview/%{name}-%{version}.tar.bz2
# Source0-md5:	df5df7ace3e7bec73f96bf1646ab27b0
Patch0:		kde-common-PLD.patch
Patch1:		kde-ac260-lt.patch
URL:		http://gwenview.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	libexif-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
Requires:	kdebase-core
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreq      libtool(.*)

%description
Gwenview is an image viewer for KDE.

It features a folder tree window and a file list window to provide
easy navigation in your file hierarchy. Image loading is done by the
Qt library, so it supports all image formats your Qt installation
supports.

%description -l pl
Gwenview to przegldarka obrazkw dla KDE. Ma okno z drzewem katalogw
oraz okno z list plikw w celu zapewnienia atwej nawigacji w
hierarchii plikw. Wczytywanie obrazkw jest wykonywane przez
bibliotek Qt, wic przegldarka obsuguje wszystkie formaty
obsugiwane przez zainstalowan wersj Qt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
export kde_htmldir=%{_kdedocdir}
export kde_libs_htmldir=%{_kdedocdir}
%{__make} -f admin/Makefile.common cvs
%configure \
	--disable-rpath \
	--with-qt-libraries=%{_libdir}

# This is to quote CXXLD
%{__perl} admin/am_edit src/{gv{{image,dir}part,core},app}/Makefile.in

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

sed -i 's/Categories=.*/Categories=Qt;KDE;Graphics;Viewer;/' \
	$RPM_BUILD_ROOT%{_desktopdir}/kde/gwenview.desktop

rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/xx

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS src/CREDITS NEWS README TODO
%attr(755,root,root) %{_bindir}/gwenview
%attr(755,root,root) %{_libdir}/kde3/gwenview.so
%attr(755,root,root) %{_libdir}/kde3/libgvdirpart.so
%attr(755,root,root) %{_libdir}/kde3/libgvimagepart.so
%attr(755,root,root) %{_libdir}/libgwenviewcore.so
%attr(755,root,root) %{_libdir}/libgwenviewcore.so.*.*.*
%attr(755,root,root) %{_libdir}/libkdeinit_gwenview.so
%{_libdir}/kde3/gwenview.la
%{_libdir}/kde3/libgvdirpart.la
%{_libdir}/kde3/libgvimagepart.la
%{_libdir}/libgwenviewcore.la
%{_libdir}/libkdeinit_gwenview.la
%{_datadir}/apps/gvdirpart
%{_datadir}/apps/gvimagepart
%{_datadir}/apps/gwenview
%{_datadir}/apps/kconf_update/*
%{_datadir}/apps/konqueror/servicemenus/konqgwenview.desktop
%{_datadir}/config.kcfg/*
%{_datadir}/services/gvdirpart.desktop
%{_datadir}/services/gvimagepart.desktop
%{_desktopdir}/kde/gwenview.desktop
%{_iconsdir}/[!l]*/*/apps/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gwenview.spec,v $
Revision 1.40  2006/11/28 23:17:04  arekm
- rel 2

Revision 1.39  2006/11/27 10:05:11  rotom
- up to 1.4.1
- BR added exiv2-devel
- exiv patch removed

Revision 1.38  2006/10/10 09:06:15  arekm
- rel 2; add kde-ac260-lt.patch

Revision 1.37  2006/09/24 21:25:11  glen
- fix for quoted CXXLD

Revision 1.36  2006/09/24 17:21:51  vip
- up to stable 1.4.0

Revision 1.35  2006/03/25 14:31:26  arekm
- fix libexif includes

Revision 1.34  2006/03/25 00:04:17  arekm
- add missing BR

Revision 1.33  2005/11/23 00:20:31  prism
- up to 1.3.1

Revision 1.32  2005/09/12 08:44:19  adamg
- updated to 1.3.0
- dropped outdated -pl.po patch
- %files updated

Revision 1.31  2005/06/14 19:12:32  zbyniu
- BR: gettext-devel

Revision 1.30  2005/05/11 10:20:08  darekr
- BR: sed 4.0

Revision 1.29  2005/01/10 10:38:19  adamg
- pl.po patch added

Revision 1.28  2005/01/10 10:07:56  adamg
- updated to 1.1.8
- typo in desktop files already fixed

Revision 1.27  2004/11/10 16:54:34  ankry
- ven -> ve, rel. 2

Revision 1.26  2004/11/01 14:26:06  adgor
- md5

Revision 1.25  2004/11/01 14:09:20  adgor
- 1.1.6

Revision 1.24  2004/08/21 20:00:03  ankry
- rel. 2 to rebuild

Revision 1.23  2004/08/01 21:12:31  adamg
- updated to 1.1.4

Revision 1.22  2004/07/24 00:22:26  ankry
- readd locale

Revision 1.21  2004/07/24 00:15:10  ankry
- locale support, remove bogus sr@Latn translations from desktops

Revision 1.20  2004/07/09 22:19:53  adamg
- updated to 1.1.3

Revision 1.19  2004/05/16 08:35:49  adgor
- Updated to 1.1.2 (switched to official tarball)

Revision 1.18  2004/05/09 17:00:00  adgor
- Updated 040509 snap (1.1.2 prerelease)
- New features, a lot of fixes

Revision 1.17  2004/02/05 15:47:15  matkor
- Version 1.1.0-1. Commented out langs.

Revision 1.16  2004/01/19 13:19:50  qboosh
- follow glibc 2.3.3 change (no_NO -> nb_NO); release 3

Revision 1.15  2004/01/13 15:58:48  undefine
- copy config.sub to allow build on amd64

Revision 1.14  2004/01/12 15:09:20  matkor
- Version 1.0.1-1

Revision 1.13  2003/12/09 01:46:34  adgor
- Added Viewer category to desktop file

Revision 1.12  2003/12/09 01:35:04  adgor
- Killing %{_pixmapsdir}
- Added --disable-rpath
- Release 1

Revision 1.11  2003/12/08 20:46:15  qboosh
- simplified prep

Revision 1.10  2003/12/08 20:03:44  migo
- up to 1.0.0

Revision 1.9  2003/11/26 14:56:29  qboosh
- updated to 1.0.0pre4

Revision 1.8  2003/08/18 08:08:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/30 11:51:49  adamg
- updated to 0.17.1

Revision 1.6  2003/05/28 12:59:04  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:48:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/05/05 01:13:05  luzik
- updated to 0.17.0

Revision 1.3  2003/04/08 11:29:37  qboosh
- use http for sources from sourceforge

Revision 1.2  2003/01/18 22:51:58  juandon
- removed two lines with define

Revision 1.1  2002/10/14 09:24:52  qboosh
- new
